> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/3.-vaicajums-sanemt-satelliteimages.md).

# 3. Vaicājums: saņemt "SatelliteImages"

Iegūt "SatelliteImages" ar definētu mākoņu slieksni priekš "Field".

Padomi:&#x20;

* Nolasīt visus "Farms", kas pieejami "User" - noņemt *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Līdzīga darbība ar "Fields", "SatelliteImages", "VectorAnalysisMap".
* Atļauts `geoMapType` filtrēt ar pieņemamām vērtībām: `VISI`, `ORIGINĀLS`, `APGRIEZTS`, `NEAPSTRĀDĀTS`, `APSTRĀDĀTS`, `SĀKUMATTĒLS`, `KONTRASTS`
* Atļautie datuma saistītie filtri: `pirms` un `pēc` kas pieder [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) formāts. Ir iespējams izmantot tikai vienu no filtriem. Vairāk detaļu ir [ŠEIT](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/37.-vaicajums-sanemt-satelliteimages-noteiktaja-intervala.md).
* Atļauts `provider` filtrēt ar pieņemamām vērtībām: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Atļauts `slieksnis` filtrs izceļ mākoņu segumu: "1" nozīmē bez mākoņiem, "0" - pilnīgi mākoņains.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<vietturis_priekš_farmas_uuid>"]){
    uuid
    nosaukums
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nosaukums
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          klases
          hexKrāsuKodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomendedForMutliYearAnalytics 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      nosaukums
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          klases
          hexKrāsuKodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomendedForMutliYearAnalytics
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/3.-vaicajums-sanemt-satelliteimages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
